from bs4 import BeautifulSoup


def get_hash_input(html_doc: str) -> str:
    """
    There is a secret hash generated by Gestion sports that is reused when trying to get
    users bookings. This hash is stored in a hidden input with name "mesresas-hash"

    :param html_doc: the html document when getting the page mes-resas.html
    :return: the value of the hash in the page
    """
    soup = BeautifulSoup(html_doc, "html.parser")
    inputs = soup.find_all("input")
    for input_tag in inputs:
        if input_tag.get("name") == "mesresas-hash":
            return input_tag.get("value").strip()
